%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A handy file search tool
Name:		catfish
Version:	4.16.4
Release:	%mkrel 2
Group:		File tools
License:	GPLv2+
URL:		https://docs.xfce.org/apps/catfish/start
Source0:	https://archive.xfce.org/src/apps/catfish/%{url_ver}/catfish-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
BuildRequires:	python3dist(dbus-python)
BuildRequires:	python3dist(pexpect)
BuildRequires:	python3dist(python-distutils-extra)
BuildRequires:	python3dist(pygobject)
BuildRequires:	typelib(Gtk) < 4.0
Requires:	python3dist(dbus-python)
Requires:	python3dist(pygobject)
Requires:	python3dist(pexpect)
Requires:	locate
Requires:	findutils

%description
Catfish is a handy file searching tool for Linux and Unix. The
interface is intentionally lightweight and simple, using only
GTK+3. You can configure it to your needs by using several
command line options.

%prep
%autosetup -p1

%build
%py3_build

%install
#%%py3_install fails because of --skip-build
CFLAGS="%{optflags}" %__python3 setup.py install -O1 --root %{buildroot}

desktop-file-install \
	--remove-category="Utility" \
	--add-category='System' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# remove %%buildroot definition
sed -i -e 's!%{buildroot}!!g' \
  %{buildroot}%{python3_sitelib}/catfish_lib/catfishconfig.py \
  %{buildroot}%{_datadir}/applications/org.xfce.Catfish.desktop

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README*
%{_bindir}/%{name}
%{_datadir}/applications/org.xfce.Catfish.desktop
%{_datadir}/metainfo/catfish.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.xfce.catfish.{png,svg}
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}_lib/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
